Update an EventLink form
curl --request PATCH \
--url https://api.eventlink.co/api/v1/dashboard/forms/eventlink/{formId} \
--header 'Content-Type: application/json' \
--cookie better-auth.session_token= \
--data '
{
"name": "<string>"
}
'import requests
url = "https://api.eventlink.co/api/v1/dashboard/forms/eventlink/{formId}"
payload = { "name": "<string>" }
headers = {
"cookie": "better-auth.session_token=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'better-auth.session_token=', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>'})
};
fetch('https://api.eventlink.co/api/v1/dashboard/forms/eventlink/{formId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"formSchema": {
"components": [
{
"key": "<string>",
"label": "<string>",
"input": true,
"placeholder": "<string>",
"description": "<string>",
"required": true,
"value": "<string>",
"countryCode": "<string>",
"data": {
"values": [
{
"label": "<string>",
"value": "<string>"
}
]
},
"values": [
{
"label": "<string>",
"value": "<string>"
}
]
}
],
"fieldMappings": [
"<unknown>"
],
"submitButtonLabel": "<string>",
"submitConfig": {
"message": "<string>",
"redirectUrl": "<string>"
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}{
"error": "<string>",
"status": 123,
"code": "<string>",
"retryAfterSeconds": 123
}dashboard
Update an EventLink form
Updates name, status, and/or formSchema for an EventLink form.
PATCH
/
api
/
v1
/
dashboard
/
forms
/
eventlink
/
{formId}
Update an EventLink form
Authorizations
Better Auth session cookie.
Path Parameters
EventLink form id
Minimum string length:
1Body
application/json
⌘I